# Function defaults

- defaults(opts, ...defaultsList): any

- Applies a set of defaults to an options object. The options object is filtered to only those properties of the objects in the defaultsList. Earlier objects in the defaultsList take precedence when applying defaults.

  #### Parameters

  - opts: any
  - `Rest`...defaultsList: any[]

  #### Returns any

  - Defined in shared/common.js:159